### Class

# Gimp Metadata

#### Description [src]

    final class Gimp.Metadata : GExiv2.Metadata
    {
      /* No available fields */
    }

Basic functions for handling `GimpMetadata` objects.

#### Ancestors

- GExiv2Metadata
- GObject

#### Constructors

###### gimp_metadata_new

Creates a new `GimpMetadata` instance.

since: 2.10

#### Functions

###### gimp_metadata_deserialize

Deserializes a string of XML that has been created by gimp_metadata_serialize().

since: 2.10

###### gimp_metadata_get_guid

Generate Version 4 UUID/GUID.

since: 2.10

###### gimp_metadata_is_tag_supported

Returns whether `tag` is supported in a file of type `mime_type`.

since: 2.10

###### gimp_metadata_load_from_file

Loads `GimpMetadata` from `file`.

since: 2.10

#### Instance methods

###### gimp_metadata_add_xmp_history

No description available.

###### gimp_metadata_duplicate

Duplicates a `GimpMetadata` instance.

since: 2.10

###### gimp_metadata_get_colorspace

Returns values based on Exif.Photo.ColorSpace, Xmp.exif.ColorSpace, Exif.Iop.InteroperabilityIndex, Exif.Nikon3.ColorSpace, Exif.Canon.ColorSpace of `metadata`.

since: 2.10

###### gimp_metadata_get_resolution

Returns values based on Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of `metadata`.

since: 2.10

###### gimp_metadata_save_to_file

Saves `metadata` to `file`.

since: 2.10

###### gimp_metadata_serialize

Serializes `metadata` into an XML string that can later be deserialized using gimp_metadata_deserialize().

since: 2.10

###### gimp_metadata_set_bits_per_sample

Sets Exif.Image.BitsPerSample on `metadata`.

since: 2.10

###### gimp_metadata_set_colorspace

Sets Exif.Photo.ColorSpace, Xmp.exif.ColorSpace, Exif.Iop.InteroperabilityIndex, Exif.Nikon3.ColorSpace, Exif.Canon.ColorSpace of `metadata`.

since: 2.10

###### gimp_metadata_set_creation_date

Sets `Iptc.Application2.DateCreated`, `Iptc.Application2.TimeCreated`, `Exif.Image.DateTime`, `Exif.Image.DateTimeOriginal`, `Exif.Photo.DateTimeOriginal`, `Exif.Photo.DateTimeDigitized`, `Exif.Photo.OffsetTime`, `Exif.Photo.OffsetTimeOriginal`, `Exif.Photo.OffsetTimeDigitized`, `Xmp.xmp.CreateDate`, `Xmp.xmp.ModifyDate`, `Xmp.xmp.MetadataDate`, `Xmp.photoshop.DateCreated` of `metadata`.

since: 3.0

###### gimp_metadata_set_from_exif

Sets the tags from a piece of Exif data on `metadata`.

since: 2.10

###### gimp_metadata_set_from_iptc

Sets the tags from a piece of IPTC data on `metadata`.

since: 2.10

###### gimp_metadata_set_from_xmp

Sets the tags from a piece of XMP data on `metadata`.

since: 2.10

###### gimp_metadata_set_pixel_size

Sets Exif.Image.ImageWidth and Exif.Image.ImageLength on `metadata`. If already present, also sets Exif.Photo.PixelXDimension and Exif.Photo.PixelYDimension.

since: 2.10

###### gimp_metadata_set_resolution

Sets Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of `metadata`.

since: 2.10

##### Methods inherited from GExiv2Metadata (104)

Please see GExiv2Metadata for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpMetadataClass {
      GExiv2MetadataClass parent_class;

    }

No description available.

###### Class members

`parent_class: GExiv2MetadataClass`

  No description available.